#!/usr/bin/perl
# Title:
#   Multiple Host Pinger
#
# Description:
#   Simple script that loops through arguments pinging them, seeing who replies.
#
# Usage:
#   whosup 192.168.0.3 192.168.0.1
use Net::Ping;
$pinger = Net::Ping->new();

	$buf = "";
	foreach $host (@ARGV) {
		if($pinger->ping($host)) {
			$buf = $buf."$host : Up\n";
		}else{
			$buf = $buf."$host : Down\n";
		}
	}
	system('clear');
	print $buf;
	sleep 1;

