#!/usr/bin/perl
# Title:
#   Quick-and-dirty HTML tag stripper
# Author:
#   Sean Hodges 
# Date created:
#   8 Apr, 2008

# Get the HTML from STDIN
$in = "";
while (<>) {
	$in .= $_;
}
$_ = $in;

# Pull comments
s/<!--.*?-->//g;

# Strip tags containing attributes
while (   s/<(?!--)[^'">]*"[^"]*"/</g 
	or s/<(?!--)[^'">]*'[^']*'/</g) {};

# Strip tags without attributes
s/<(?!--)[^">]*>//g;

print $_;
